local MAJOR = "StarLibPluginMath-1.0" 
local MINOR = 8

local PluginMath = LibStub:NewLibrary(MAJOR, MINOR)
if not PluginMath then return end

local _G = _G

if not PluginMath.__index then
	PluginMath.__index = PluginMath
end

-- @name PluginMath:New
-- @usage RangeFinder:New(visitor, environment, name, config) -- 
-- @parma environment This will be the environment when loadstring is callled.
-- @return A new StarPluginMath object
function PluginMath:New(environment)
	
	local obj = {}

	setmetatable(obj, self)
	environment.math = {}
	environment.math.abs = _G.math.abs
	environment.math.acos = _G.math.acos
	environment.math.asin = _G.math.asin
	environment.math.atan = _G.math.atan
	environment.math.atan2 = _G.math.atan2
	environment.math.ceil = _G.math.ceil
	environment.math.cos = _G.math.cos
	environment.math.deg = _G.math.deg
	environment.math.exp = _G.math.exp
	environment.math.floor = _G.math.floor
	environment.math.frexp = _G.math.frexp
	environment.math.ldexp = _G.math.ldexp
	environment.math.log = _G.math.log
	environment.math.log10 = _G.math.log10
	environment.math.max = _G.math.max
	environment.math.min = _G.math.min
	environment.math.mod = _G.math.mod
	environment.math.rad = _G.math.rad
	environment.math.random = _G.math.random
	environment.math.sin = _G.math.sin
	environment.math.sqrt = _G.math.sqrt
	environment.math.tan = _G.math.tan
	
	return obj	
	
end
